ISXEQ2 - Bug #1715

consignment:Buy (Buying from the broker) seems nonfunctional
2016-10-07 07:09 PM - uiyice

Status: Resolved
Priority: Normal
Assignee: Amadeus
Category: Broken Feature(s)

Target version:

vbulletin_issue_id:

Description

echo ${ISXEQ2.Version}
20161004.0001

At this moment, using the consignment:Buy method to purchase from the broker appears to do nothing. Old scripts that used to
work, are not working at all, nor is direct invocation from the innerspace console. | have not run these scripts for some time however,
so | cannot approximate when it broke.

Steps to reproduce:

e Target Broker
¢ Open Broker Window
e Search for anything
¢ echo ${Vendor.Broker[1].Name} -> returns consignment item name properly
o As does .Price, etc...
Vendor.Broker[1]:Buy
o Absolutely nothing happens
o Same with Vendor.Broker[1]:Buy[1]
o Same with Vendor.Broker["ltemName"]:Buy
¢ Note, the cursor is over the broker window, the broker window had focus, and the native 'Buy' button works on the Ul

Expected behavior:
¢ ltem is expected to be purchased

Other methods, such as consignment:Examine appear to work just fine.

History

#1 - 2016-11-22 02:50 AM - DiBi

Have the same problem too.

#2 - 2016-11-24 04:14 PM - Amadeus

- Status changed from New to Resolved

Fixed in version 20161122.0002
